org.wso2.extension.siddhi.execution.ml.samoa.utils.clustering

## Class StreamingClusteringTaskBuilder

- java.lang.Object
- - org.wso2.extension.siddhi.execution.ml.samoa.utils.TaskBuilder
  - - org.wso2.extension.siddhi.execution.ml.samoa.utils.clustering.StreamingClusteringTaskBuilder

-     public class StreamingClusteringTaskBuilder
      extends TaskBuilder

  Streaming Clustering TaskBuilder

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `numberOfClusters`
    `Queue<org.apache.samoa.moa.cluster.Clustering>` | `samoaClusters`

    - ### Fields inherited from class org.wso2.extension.siddhi.execution.ml.samoa.utils.TaskBuilder

      `cepEvents, maxEvents, numberOfAttributes, STATUS_UPDATE_FREQ_MSG, SUPPRESS_RESULT_OUT_MSG, SUPPRESS_STATUS_OUT_MSG, topology`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamingClusteringTaskBuilder(int maxInstance, int numberofAttributes, int numberOfClusters, int parallel, int sampleFrequency, int interval, Queue<double[]> cepEvents, Queue<org.apache.samoa.moa.cluster.Clustering> samoaClusters)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `initClusteringTask(String[] args)`
    `void` | `initTask()`

    - ### Methods inherited from class org.wso2.extension.siddhi.execution.ml.samoa.utils.TaskBuilder

      `submit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### samoaClusters

          public Queue<org.apache.samoa.moa.cluster.Clustering> samoaClusters

    - #### numberOfClusters

          public int numberOfClusters

  - ### Constructor Detail

    - #### StreamingClusteringTaskBuilder

          public StreamingClusteringTaskBuilder(int maxInstance,
                                                int numberofAttributes,
                                                int numberOfClusters,
                                                int parallel,
                                                int sampleFrequency,
                                                int interval,
                                                Queue<double[]> cepEvents,
                                                Queue<org.apache.samoa.moa.cluster.Clustering> samoaClusters)

  - ### Method Detail

    - #### initTask

          public void initTask()

      Specified by:
        `initTask` in class `TaskBuilder`

    - #### initClusteringTask

          public void initClusteringTask(String[] args)

Copyright © 2017 WSO2. All rights reserved.